## EProxyLinkSelector

EProxyLinkSelector — Link accounts to a proxy profile

## Functions

GtkWidget * | e_proxy_link_selector_new ()
ESource * | e_proxy_link_selector_ref_target_source ()
void | e_proxy_link_selector_set_target_source ()

## Properties

ESource * | target-source | Read / Write

## Types and Values

struct | EProxyLinkSelector

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkTreeView
                        ╰── ESourceSelector
                            ╰── EProxyLinkSelector

## Implemented Interfaces

EProxyLinkSelector implements AtkImplementorIface, GtkBuildable and GtkScrollable.

## Includes

    #include <e-util/e-util.h>

## Description

EProxyLinkSelector shows all network-based accounts in a tree view, with a checkbox next to each account. The checkbox allows users to choose between linking the account to a pre-determined user-defined proxy profile, or to the built-in default proxy profile.

## Functions

### e_proxy_link_selector_new ()

    GtkWidget *
    e_proxy_link_selector_new (ESourceRegistry *registry);

Creates a new EProxyLinkSelector using ESource instances in `registry` .

#### Parameters

registry | an ESourceRegistry |

#### Returns

a new EProxyLinkSelector

### e_proxy_link_selector_ref_target_source ()

    ESource *
    e_proxy_link_selector_ref_target_source
                                   (EProxyLinkSelector *selector);

Returns the target network proxy profile ESource.

See `e_proxy_link_selector_set_target_source()` for further details.

The returned ESource is referenced for thread-safety and must be unreferenced with `g_object_unref()` when finished with it.

#### Parameters

selector | an EProxyLinkSelector |

#### Returns

an ESource

### e_proxy_link_selector_set_target_source ()

    void
    e_proxy_link_selector_set_target_source
                                   (EProxyLinkSelector *selector,
                                    ESource *target_source);

Sets the target network proxy profile ESource.

Checking the box next to an account name in `selector` will link the account to `target_source` . The account will then use `target_source` as its GProxyResolver when connecting to a remote host.

As a special case, if `target_source` refers to the built-in network proxy profile, then `selector` will hide its checkboxes since they would otherwise link accounts to the same ESource when checked or unchecked.

#### Parameters

selector | an EProxyLinkSelector |
target_source | an ESource |

## Types and Values

### struct EProxyLinkSelector

    struct EProxyLinkSelector;

Contains only private data that should be read and manipulated using the functions below.

## Property Details

### The `“target-source”` property

      “target-source”            ESource *

The data source to link to when the checkbox is active.

Owner: EProxyLinkSelector

Flags: Read / Write